# Get usernames for users

This route gets usernames for users.

Endpoint: GET /resources/usernames/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Query parameters:

  - `_limit` (number)

  - `_offset` (number)
    The page number to retrieve. For example, use 0 for the first page, 1 for the second page.

  - `_sortBy` (string)

  - `_order` (string)

  - `_usernamePrefix` (string)

  - `userIds` (array)

  - `usernames` (array)

## Response 200 fields (application/json):

  - `username` (string, required)
    The username value
    Example: user.name

  - `userId` (string, required)
    The user id value
    Example: user-id

